{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/external_contact_person') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/external_contact_person') }}
{% endblock %}

{% block buildingUnitHeaderContent %}
    <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
    {% if is_granted('edit', buildingUnit) == true and is_granted('edit', buildingUnit.getExternalContactPerson()) == true %}
        {{ form_widget(buildingUnitExternalContactPersonForm.save, {'label': 'SPEICHERN', 'id': buildingUnitExternalContactPersonForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    {% endif %}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4 mb-4">
        <div class="mdc-card">
            <div class="p-3">
                {% if is_granted('edit', buildingUnit) == true and is_granted('edit', buildingUnit.getExternalContactPerson()) == true %}
                    {{ form_start(buildingUnitExternalContactPersonForm, {'attr': {'id': buildingUnitExternalContactPersonForm.vars.id ~ '_form'}}) }}
                {% endif %}
                {% include 'property_vacancy_management/form/building_unit/building_unit_external_contact_person_form.html.twig' with {'form': buildingUnitExternalContactPersonForm} only %}
                {% if is_granted('edit', buildingUnit) == true and is_granted('edit', buildingUnit.getExternalContactPerson()) == true %}
                    {{ form_row(buildingUnitExternalContactPersonForm._token) }}
                    {{ form_end(buildingUnitExternalContactPersonForm, {'render_rest': false}) }}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
